diff --git a/framework/source/dispatch/interceptionhelper.cxx b/framework/source/dispatch/interceptionhelper.cxx
index f3736de..48cedba 100644
--- a/framework/source/dispatch/interceptionhelper.cxx
+++ b/framework/source/dispatch/interceptionhelper.cxx
@@ -26,9 +26,9 @@
 namespace framework{
 
 InterceptionHelper::InterceptionHelper(const css::uno::Reference< css::frame::XFrame >&            xOwner,
-                                       const css::uno::Reference< css::frame::XDispatchProvider >& xSlave)
-    : m_xOwnerWeak  (xOwner                       )
-    , m_xSlave      (xSlave                       )
+                                       const css::uno::Reference< css::frame::XDispatchProvider >& xServant )
+    : m_xOwnerWeak  ( xOwner )
+    , m_xServant    ( xServant )
 {
 }
 
@@ -37,8 +37,8 @@ InterceptionHelper::~InterceptionHelper()
 }
 
 css::uno::Reference< css::frame::XDispatch > SAL_CALL InterceptionHelper::queryDispatch(const css::util::URL&  aURL            ,
-                                                                                        const OUString& sTargetFrameName,
-                                                                                              sal_Int32        nSearchFlags    )
+                                                                                        const OUString& sRecipientFrameName,
+                                                                                              sal_Int32        nSearchOptions    )
     throw(css::uno::RuntimeException, std::exception)
 {
     // SAFE {
@@ -69,18 +69,18 @@ css::uno::Reference< css::frame::XDispatch > SAL_CALL InterceptionHelper::queryD
         // registered for this command url (we already searched for matching
         // patterns above)
     }
-    // c) No registered interceptor => use our direct slave.
+    // c) No registered interceptor then use direct servant
     //    This helper exist by design and must be valid everytimes ...
     //    But to be more feature proof - we should check that .-)
-    if (!xInterceptor.is() && m_xSlave.is())
-        xInterceptor = m_xSlave;
+    if (!xInterceptor.is() && m_xServant.is())
+        xInterceptor = m_xServant;
 
     aReadLock.clear();
     // } SAFE
 
     css::uno::Reference< css::frame::XDispatch > xReturn;
     if (xInterceptor.is())
-        xReturn = xInterceptor->queryDispatch(aURL, sTargetFrameName, nSearchFlags);
+        xReturn = xInterceptor->queryDispatch(aURL, sRecipientFrameName, nSearchOptions);
     return xReturn;
 }
 
@@ -92,8 +92,8 @@ css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL Inte
           css::uno::Reference< css::frame::XDispatch >*                      pDispatches = lDispatches.getArray();
     const css::frame::DispatchDescriptor*                                    pDescriptor = lDescriptor.getConstArray();
 
-    for (sal_Int32 i=0; i<c; ++i)
-        pDispatches[i] = queryDispatch(pDescriptor[i].FeatureURL, pDescriptor[i].FrameName, pDescriptor[i].SearchFlags);
+    for ( sal_Int32 i = 0; i < c; ++i )
+        pDispatches[i] = queryDispatch( pDescriptor[i].FeatureURL, pDescriptor[i].FrameName, pDescriptor[i].SearchFlags );
 
     return lDispatches;
 }
@@ -125,28 +125,28 @@ void SAL_CALL InterceptionHelper::registerDispatchProviderInterceptor(const css:
     SolarMutexClearableGuard aWriteLock;
 
     // a) no interceptor at all - set this instance as master for given interceptor
-    //    and set our slave as its slave - and put this interceptor to the list.
+    //    and set the servant as its one - and put this interceptor to the list.
     //    Its place there doesn't matter. Because this list is currently empty.
     if (m_lInterceptionRegs.empty())
     {
-        xInterceptor->setMasterDispatchProvider(xThis   );
-        xInterceptor->setSlaveDispatchProvider (m_xSlave);
+        xInterceptor->setMasterDispatchProvider( xThis );
+        xInterceptor->setSlaveDispatchProvider( m_xServant );
         m_lInterceptionRegs.push_back(aInfo);
     }
 
     // b) OK - there is at least one interceptor already registered.
-    //    It's slave and it's master must be valid references ...
-    //    because we created it.
+    //    Its servant and its master are valid references ...
+    //    because I created it.
 
     // insert it before any other existing interceptor - means at the beginning of our list.
     else
     {
-        css::uno::Reference< css::frame::XDispatchProvider >            xSlaveD = m_lInterceptionRegs.begin()->xInterceptor;
-        css::uno::Reference< css::frame::XDispatchProviderInterceptor > xSlaveI (xSlaveD , css::uno::UNO_QUERY);
+        css::uno::Reference< css::frame::XDispatchProvider >            xServantD = m_lInterceptionRegs.begin()->xInterceptor;
+        css::uno::Reference< css::frame::XDispatchProviderInterceptor > xServantI ( xServantD , css::uno::UNO_QUERY );
 
-        xInterceptor->setMasterDispatchProvider(xThis             );
-        xInterceptor->setSlaveDispatchProvider (xSlaveD           );
-        xSlaveI->setMasterDispatchProvider     (aInfo.xInterceptor);
+        xInterceptor->setMasterDispatchProvider( xThis );
+        xInterceptor->setSlaveDispatchProvider( xServantD );
+        xServantI->setMasterDispatchProvider( aInfo.xInterceptor );
 
         m_lInterceptionRegs.push_front(aInfo);
     }
@@ -175,22 +175,22 @@ void SAL_CALL InterceptionHelper::releaseDispatchProviderInterceptor(const css::
 
     // search this interceptor ...
     // If it could be located inside cache -
-    // use its slave/master relations to update the interception list;
-    // set empty references for it as new master and slave;
+    // use its servant & master relations to update the interception list;
+    // set empty references for it as new master and servant;
     // and release it from out cache.
     InterceptorList::iterator pIt = m_lInterceptionRegs.findByReference(xInterceptor);
     if (pIt != m_lInterceptionRegs.end())
     {
-        css::uno::Reference< css::frame::XDispatchProvider >            xSlaveD  (xInterceptor->getSlaveDispatchProvider() , css::uno::UNO_QUERY);
-        css::uno::Reference< css::frame::XDispatchProvider >            xMasterD (xInterceptor->getMasterDispatchProvider(), css::uno::UNO_QUERY);
-        css::uno::Reference< css::frame::XDispatchProviderInterceptor > xSlaveI  (xSlaveD                                  , css::uno::UNO_QUERY);
-        css::uno::Reference< css::frame::XDispatchProviderInterceptor > xMasterI (xMasterD                                 , css::uno::UNO_QUERY);
+        css::uno::Reference< css::frame::XDispatchProvider >            xServantD ( xInterceptor->getSlaveDispatchProvider() , css::uno::UNO_QUERY );
+        css::uno::Reference< css::frame::XDispatchProvider >            xMasterD  ( xInterceptor->getMasterDispatchProvider(), css::uno::UNO_QUERY );
+        css::uno::Reference< css::frame::XDispatchProviderInterceptor > xServantI ( xServantD, css::uno::UNO_QUERY );
+        css::uno::Reference< css::frame::XDispatchProviderInterceptor > xMasterI  ( xMasterD, css::uno::UNO_QUERY );
 
-        if (xMasterI.is())
-            xMasterI->setSlaveDispatchProvider(xSlaveD);
+        if ( xMasterI.is() )
+            xMasterI->setSlaveDispatchProvider( xServantD );
 
-        if (xSlaveI.is())
-            xSlaveI->setMasterDispatchProvider(xMasterD);
+        if ( xServantI.is() )
+            xServantI->setMasterDispatchProvider( xMasterD ) ;
 
         xInterceptor->setSlaveDispatchProvider (css::uno::Reference< css::frame::XDispatchProvider >());
         xInterceptor->setMasterDispatchProvider(css::uno::Reference< css::frame::XDispatchProvider >());
diff --git a/framework/source/dispatch/loaddispatcher.cxx b/framework/source/dispatch/loaddispatcher.cxx
index 4e90a3a..ff2ce24 100644
--- a/framework/source/dispatch/loaddispatcher.cxx
+++ b/framework/source/dispatch/loaddispatcher.cxx
@@ -25,12 +25,12 @@ namespace framework{
 
 LoadDispatcher::LoadDispatcher(const css::uno::Reference< css::uno::XComponentContext >& xContext    ,
                                const css::uno::Reference< css::frame::XFrame >&          xOwnerFrame ,
-                               const OUString&                                           sTargetName ,
-                                     sal_Int32                                           nSearchFlags)
+                               const OUString&                                           sName ,
+                                     sal_Int32                                           nSearchOptions)
     : m_xContext    (xContext    )
     , m_xOwnerFrame (xOwnerFrame )
-    , m_sTarget     (sTargetName )
-    , m_nSearchFlags(nSearchFlags)
+    , m_sRecipient ( sName )
+    , m_nSearchOptions(nSearchOptions)
     , m_aLoader     (xContext    )
 {
 }
@@ -111,10 +111,10 @@ css::uno::Any LoadDispatcher::impl_dispatch( const css::util::URL& rURL,
     css::uno::Reference< css::lang::XComponent > xComponent;
     try
     {
-        m_aLoader.initializeLoading( rURL.Complete, lArguments, xBaseFrame, m_sTarget, m_nSearchFlags, (LoadEnv::EFeature)(LoadEnv::E_ALLOW_CONTENTHANDLER | LoadEnv::E_WORK_WITH_UI));
+        m_aLoader.initializeLoading( rURL.Complete, lArguments, xBaseFrame, m_sRecipient, m_nSearchOptions, (LoadEnv::EFeature)(LoadEnv::E_ALLOW_CONTENTHANDLER | LoadEnv::E_WORK_WITH_UI));
         m_aLoader.startLoading();
-        m_aLoader.waitWhileLoading(); // wait for ever!
-        xComponent = m_aLoader.getTargetComponent();
+        m_aLoader.waitWhileLoading(); // wait for ever
+        xComponent = m_aLoader.getReceivingComponent();
 
         // TODO thinking about asynchronous operations and listener support
     }
diff --git a/framework/source/dispatch/mailtodispatcher.cxx b/framework/source/dispatch/mailtodispatcher.cxx
index 48d498e..9b1655b 100644
--- a/framework/source/dispatch/mailtodispatcher.cxx
+++ b/framework/source/dispatch/mailtodispatcher.cxx
@@ -75,8 +75,8 @@ MailToDispatcher::~MailToDispatcher()
                 at the same implementation.
 */
 css::uno::Reference< css::frame::XDispatch > SAL_CALL MailToDispatcher::queryDispatch( const css::util::URL&  aURL    ,
-                                                                                       const OUString& /*sTarget*/ ,
-                                                                                             sal_Int32        /*nFlags*/  ) throw( css::uno::RuntimeException, std::exception )
+                                                                                       const OUString& /*sRecipient*/ ,
+                                                                                             sal_Int32        /*nOptions*/  ) throw( css::uno::RuntimeException, std::exception )
 {
     css::uno::Reference< css::frame::XDispatch > xDispatcher;
     if (aURL.Complete.startsWith("mailto:"))
@@ -96,7 +96,7 @@ css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL Mail
         lDispatcher[i] = this->queryDispatch(
                             lDescriptor[i].FeatureURL,
                             lDescriptor[i].FrameName,
-                            lDescriptor[i].SearchFlags);
+                            lDescriptor[i].SearchFlags );
     }
     return lDispatcher;
 }
diff --git a/framework/source/dispatch/oxt_handler.cxx b/framework/source/dispatch/oxt_handler.cxx
index bd19c85..b5ea720 100644
--- a/framework/source/dispatch/oxt_handler.cxx
+++ b/framework/source/dispatch/oxt_handler.cxx
@@ -44,7 +44,7 @@ DEFINE_INIT_SERVICE                 (   Oxt_Handler,
                                         }
                                     )
 
-/*-************************************************************************************************************
+/*
     @short      standard ctor
     @descr      These initialize a new instance of this class with needed information for work.
 
@@ -53,15 +53,15 @@ DEFINE_INIT_SERVICE                 (   Oxt_Handler,
     @param      "xFactory", reference to service manager for creation of new services
     @onerror    Show an assertion and do nothing else.
     @threadsafe yes
-*//*-*************************************************************************************************************/
+*/
 Oxt_Handler::Oxt_Handler( const css::uno::Reference< css::lang::XMultiServiceFactory >& xFactory )
         :   m_xFactory          ( xFactory )
 {
 }
 
-/*-************************************************************************************************************
+/*
     @short      standard dtor
-*//*-*************************************************************************************************************/
+*/
 Oxt_Handler::~Oxt_Handler()
 {
     if ( m_xListener.is() )
@@ -73,7 +73,7 @@ Oxt_Handler::~Oxt_Handler()
     }
 }
 
-/*-************************************************************************************************************
+/*
     @interface  css::frame::XDispatch
 
     @short      try to load audio file
@@ -92,7 +92,7 @@ Oxt_Handler::~Oxt_Handler()
     @param      "lArguments", list of optional arguments.
     @onerror    We do nothing.
     @threadsafe yes
-*//*-*************************************************************************************************************/
+*/
 void SAL_CALL Oxt_Handler::dispatchWithNotification( const css::util::URL& aURL,
                                                      const css::uno::Sequence< css::beans::PropertyValue >&            /*lArguments*/,
                                                      const css::uno::Reference< css::frame::XDispatchResultListener >& xListener )
@@ -126,7 +126,7 @@ void SAL_CALL Oxt_Handler::dispatch( const css::util::URL&
     dispatchWithNotification( aURL, lArguments, css::uno::Reference< css::frame::XDispatchResultListener >() );
 }
 
-/*-************************************************************************************************************
+/*
     @interface  css::document::XExtendedFilterDetection
 
     @short      try to detect file (given as argument included in "lDescriptor")
@@ -146,7 +146,7 @@ void SAL_CALL Oxt_Handler::dispatch( const css::util::URL&
 
     @onerror    We return nothing.
     @threadsafe yes
-*//*-*************************************************************************************************************/
+*/
 OUString SAL_CALL Oxt_Handler::detect( css::uno::Sequence< css::beans::PropertyValue >& lDescriptor )
     throw( css::uno::RuntimeException, std::exception )
 {
diff --git a/framework/source/dispatch/popupmenudispatcher.cxx b/framework/source/dispatch/popupmenudispatcher.cxx
index 3723f32..39617f5 100644
--- a/framework/source/dispatch/popupmenudispatcher.cxx
+++ b/framework/source/dispatch/popupmenudispatcher.cxx
@@ -160,8 +160,8 @@ throw( css::uno::Exception, css::uno::RuntimeException, std::exception)
 css::uno::Reference< css::frame::XDispatch >
 SAL_CALL PopupMenuDispatcher::queryDispatch(
     const css::util::URL&  rURL    ,
-    const OUString& sTarget ,
-    sal_Int32              nFlags  )
+    const OUString& sRecipient ,
+    sal_Int32              nOptions  )
 throw( css::uno::RuntimeException, std::exception )
 {
     css::uno::Reference< css::frame::XDispatch > xDispatch;
@@ -207,7 +207,7 @@ throw( css::uno::RuntimeException, std::exception )
 
                 // Ask popup menu dispatch provider for dispatch object
                 if ( xDispatchProvider.is() )
-                    xDispatch = xDispatchProvider->queryDispatch( rURL, sTarget, nFlags );
+                    xDispatch = xDispatchProvider->queryDispatch( rURL, sRecipient, nOptions );
             }
             catch ( const RuntimeException& )
             {
@@ -233,7 +233,7 @@ throw( css::uno::RuntimeException, std::exception )
         lDispatcher[i] = this->queryDispatch(
                             lDescriptor[i].FeatureURL,
                             lDescriptor[i].FrameName,
-                            lDescriptor[i].SearchFlags);
+                            lDescriptor[i].SearchFlags );
     }
     return lDispatcher;
 }
diff --git a/framework/source/dispatch/servicehandler.cxx b/framework/source/dispatch/servicehandler.cxx
index 93acf4b..4621b04 100644
--- a/framework/source/dispatch/servicehandler.cxx
+++ b/framework/source/dispatch/servicehandler.cxx
@@ -77,8 +77,8 @@ ServiceHandler::~ServiceHandler()
                 at the same implementation.
 */
 css::uno::Reference< css::frame::XDispatch > SAL_CALL ServiceHandler::queryDispatch( const css::util::URL&  aURL    ,
-                                                                                     const OUString& /*sTarget*/ ,
-                                                                                           sal_Int32        /*nFlags*/  ) throw( css::uno::RuntimeException, std::exception )
+                                                                                     const OUString& /*sRecipient*/ ,
+                                                                                           sal_Int32        /*nOptions*/  ) throw( css::uno::RuntimeException, std::exception )
 {
     css::uno::Reference< css::frame::XDispatch > xDispatcher;
     if (aURL.Complete.startsWith(PROTOCOL_VALUE))
@@ -98,7 +98,7 @@ css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL Serv
         lDispatcher[i] = this->queryDispatch(
                             lDescriptor[i].FeatureURL,
                             lDescriptor[i].FrameName,
-                            lDescriptor[i].SearchFlags);
+                            lDescriptor[i].SearchFlags );
     }
     return lDispatcher;
 }
diff --git a/framework/source/dispatch/startmoduledispatcher.cxx b/framework/source/dispatch/startmoduledispatcher.cxx
index 945717a..c6a0ab3 100644
--- a/framework/source/dispatch/startmoduledispatcher.cxx
+++ b/framework/source/dispatch/startmoduledispatcher.cxx
@@ -21,7 +21,7 @@
 
 #include <pattern/frame.hxx>
 #include <framework/framelistanalyzer.hxx>
-#include <targets.h>
+#include <recipients.h>
 #include <services.h>
 #include <general.h>
 #include <isstartmoduledispatch.hxx>
@@ -133,7 +133,7 @@ bool StartModuleDispatcher::implts_isBackingModePossible()
 bool StartModuleDispatcher::implts_establishBackingMode()
 {
     css::uno::Reference< css::frame::XDesktop2> xDesktop       = css::frame::Desktop::create( m_xContext );
-    css::uno::Reference< css::frame::XFrame > xFrame           = xDesktop->findFrame(SPECIALTARGET_BLANK, 0);
+    css::uno::Reference< css::frame::XFrame > xFrame           = xDesktop->findFrame( SPECIAL_BLANK, 0 );
     css::uno::Reference< css::awt::XWindow  > xContainerWindow = xFrame->getContainerWindow();
 
     css::uno::Reference< css::frame::XController > xStartModule = css::frame::StartModule::createWithParentWindow(m_xContext, xContainerWindow);
diff --git a/framework/source/dispatch/windowcommanddispatch.cxx b/framework/source/dispatch/windowcommanddispatch.cxx
index 71ecaa0..3745750 100644
--- a/framework/source/dispatch/windowcommanddispatch.cxx
+++ b/framework/source/dispatch/windowcommanddispatch.cxx
@@ -18,7 +18,7 @@
  */
 
 #include <dispatch/windowcommanddispatch.hxx>
-#include <targets.h>
+#include <recipients.h>
 #include <services.h>
 
 #include <com/sun/star/frame/XDispatchProvider.hpp>
@@ -152,7 +152,7 @@ void WindowCommandDispatch::impl_dispatchCommand(const OUString& sCommand)
         aCommand.Complete = sCommand;
         xParser->parseStrict(aCommand);
 
-        css::uno::Reference< css::frame::XDispatch > xDispatch = xProvider->queryDispatch(aCommand, SPECIALTARGET_SELF, 0);
+        css::uno::Reference< css::frame::XDispatch > xDispatch = xProvider->queryDispatch(aCommand, SPECIAL_SELF, 0);
         if (xDispatch.is())
             xDispatch->dispatch(aCommand, css::uno::Sequence< css::beans::PropertyValue >());
     }
diff --git a/framework/source/fwe/classes/actiontriggerpropertyset.cxx b/framework/source/fwe/classes/actiontriggerpropertyset.cxx
index 158429e..9b940ac 100644
--- a/framework/source/fwe/classes/actiontriggerpropertyset.cxx
+++ b/framework/source/fwe/classes/actiontriggerpropertyset.cxx
@@ -40,7 +40,7 @@ using namespace com::sun::star::awt;
 // But don't forget to change values of follow defines, if you do something with this enum!
 enum EPROPERTIES
 {
-    HANDLE_COMMANDURL,
+    HANDLE_ACTIONURL,
     HANDLE_HELPURL,
     HANDLE_IMAGE,
     HANDLE_SUBCONTAINER,
@@ -169,8 +169,8 @@ throw( IllegalArgumentException )
 
     switch( nHandle )
     {
-        case HANDLE_COMMANDURL:
-            bReturn = impl_tryToChangeProperty( m_aCommandURL, aValue, aOldValue, aConvertedValue );
+        case HANDLE_ACTIONURL:
+            bReturn = impl_tryToChangeProperty( m_aActionURL, aValue, aOldValue, aConvertedValue );
             break;
 
         case HANDLE_HELPURL:
@@ -203,8 +203,8 @@ throw( Exception, std::exception )
     // Search for right handle ... and try to set property value.
     switch( nHandle )
     {
-        case HANDLE_COMMANDURL:
-            aValue >>= m_aCommandURL;
+        case HANDLE_ACTIONURL:
+            aValue >>= m_aActionURL;
             break;
 
         case HANDLE_HELPURL:
@@ -233,8 +233,8 @@ void SAL_CALL ActionTriggerPropertySet::getFastPropertyValue(
     // Search for right handle ... and try to get property value.
     switch( nHandle )
     {
-        case HANDLE_COMMANDURL:
-            aValue <<= m_aCommandURL;
+        case HANDLE_ACTIONURL:
+            aValue <<= m_aActionURL;
             break;
 
         case HANDLE_HELPURL:
@@ -282,7 +282,7 @@ void SAL_CALL ActionTriggerPropertySet::getFastPropertyValue(
 Reference< XPropertySetInfo > SAL_CALL ActionTriggerPropertySet::getPropertySetInfo()
 throw ( RuntimeException, std::exception )
 {
-    // Optimize this method !
+    // * Optimize this method *
     // We initialize a static variable only one time. And we don't must use a mutex at every call!
     // For the first call; pInfo is NULL - for the second call pInfo is different from NULL!
     static Reference< XPropertySetInfo >* pInfo = nullptr;
@@ -300,24 +300,23 @@ throw ( RuntimeException, std::exception )
         }
     }
 
-    return (*pInfo);
+    return *pInfo;
 }
 
 const Sequence< Property > ActionTriggerPropertySet::impl_getStaticPropertyDescriptor()
 {
     const Property pActionTriggerPropertys[] =
     {
-        Property( OUString( "CommandURL"    ), HANDLE_COMMANDURL   , cppu::UnoType<OUString>::get(), PropertyAttribute::TRANSIENT  ),
-        Property( OUString( "HelpURL"       ), HANDLE_HELPURL      , cppu::UnoType<OUString>::get(), PropertyAttribute::TRANSIENT  ),
-        Property( OUString( "Image"         ), HANDLE_IMAGE     , cppu::UnoType<XBitmap>::get(), PropertyAttribute::TRANSIENT  ),
-        Property( OUString( "SubContainer"  ), HANDLE_SUBCONTAINER , cppu::UnoType<OUString>::get(), PropertyAttribute::TRANSIENT  ),
-        Property( OUString( "Text"          ), HANDLE_TEXT         , cppu::UnoType<XInterface>::get(), PropertyAttribute::TRANSIENT  )
+        Property(  OUString( "ActionURL" ), HANDLE_ACTIONURL, cppu::UnoType<OUString>::get(), PropertyAttribute::TRANSIENT  ),
+        Property(  OUString( "HelpURL" ), HANDLE_HELPURL, cppu::UnoType<OUString>::get(), PropertyAttribute::TRANSIENT  ),
+        Property(  OUString( "Image" ), HANDLE_IMAGE, cppu::UnoType<XBitmap>::get(), PropertyAttribute::TRANSIENT  ),
+        Property(  OUString( "SubContainer" ), HANDLE_SUBCONTAINER, cppu::UnoType<OUString>::get(), PropertyAttribute::TRANSIENT  ),
+        Property(  OUString( "Text" ), HANDLE_TEXT, cppu::UnoType<XInterface>::get(), PropertyAttribute::TRANSIENT  )
     };
 
-    // Use it to initialize sequence!
+    // Use it to initialize sequence
     const Sequence< Property > seqActionTriggerPropertyDescriptor( pActionTriggerPropertys, PROPERTYCOUNT );
 
-    // Return "PropertyDescriptor"
     return seqActionTriggerPropertyDescriptor;
 }
 
@@ -331,7 +330,7 @@ throw( IllegalArgumentException )
     // Set default return value if method failed.
     bool bReturn = false;
     // Get new value from any.
-    // IllegalArgumentException() can be thrown!
+    // IllegalArgumentException() can be thrown
     OUString sValue;
     convertPropertyValue( sValue, aNewValue );
 
@@ -346,7 +345,7 @@ throw( IllegalArgumentException )
     }
     else
     {
-        // ... clear information of return parameter!
+        // ... clear information of return parameter
         aOldValue.clear         ();
         aConvertedValue.clear   ();
         // Return NOTHING - "value will not be change ..."
diff --git a/framework/source/fwe/classes/addonmenu.cxx b/framework/source/fwe/classes/addonmenu.cxx
index ebfcb0a..29f4f19 100644
--- a/framework/source/fwe/classes/addonmenu.cxx
+++ b/framework/source/fwe/classes/addonmenu.cxx
@@ -55,10 +55,10 @@ AddonMenu::~AddonMenu()
     disposeOnce();
 }
 
-// Check if command URL string has the unique prefix to identify addon popup menus
-bool AddonPopupMenu::IsCommandURLPrefix( const OUString& aCmdURL )
+// Check if action URL string has the unique prefix to identify addon popup menus
+bool AddonPopupMenu::IsActionURLPrefix( const OUString& aURL )
 {
-    return aCmdURL.startsWith( ADDONSPOPUPMENU_URL_PREFIX_STR );
+    return aURL.startsWith( ADDONSPOPUPMENU_URL_PREFIX_STR );
 }
 
 AddonPopupMenu::AddonPopupMenu() :
@@ -211,7 +211,7 @@ void AddonMenuManager::MergeAddonPopupMenus( const Reference< XFrame >& rFrame,
 
         OUString                              aTitle;
         OUString                              aURL;
-        OUString                              aTarget;
+        OUString                              aRecipient;
         OUString                              aImageId;
         OUString                              aContext;
         Sequence< Sequence< PropertyValue > > aAddonSubMenu;
@@ -224,7 +224,7 @@ void AddonMenuManager::MergeAddonPopupMenus( const Reference< XFrame >& rFrame,
             AddonMenuManager::GetMenuEntry( rAddonMenuEntries[i],
                                             aTitle,
                                             aURL,
-                                            aTarget,
+                                            aRecipient,
                                             aImageId,
                                             aContext,
                                             aAddonSubMenu );
@@ -240,7 +240,7 @@ void AddonMenuManager::MergeAddonPopupMenus( const Reference< XFrame >& rFrame,
 
                 if ( pAddonPopupMenu->GetItemCount() > 0 )
                 {
-                    pAddonPopupMenu->SetCommandURL( aURL );
+                    pAddonPopupMenu->SetActionURL( aURL );
                     pMergeMenuBar->InsertItem( nId, aTitle, MenuItemBits::NONE, OString(), nInsertPos++ );
                     pMergeMenuBar->SetPopupMenu( nId, pAddonPopupMenu );
 
@@ -272,13 +272,13 @@ void AddonMenuManager::BuildMenu( PopupMenu*                            pCurrent
 
     OUString aTitle;
     OUString aURL;
-    OUString aTarget;
+    OUString aRecipient;
     OUString aImageId;
     OUString aContext;
 
     for ( i = 0; i < nCount; ++i )
     {
-        GetMenuEntry( aAddonMenuDefinition[i], aTitle, aURL, aTarget, aImageId, aContext, aAddonSubMenu );
+        GetMenuEntry( aAddonMenuDefinition[i], aTitle, aURL, aRecipient, aImageId, aContext, aAddonSubMenu );
 
         if ( !IsCorrectContext( rModuleIdentifier, aContext ) || ( aTitle.isEmpty() && aURL.isEmpty() ))
             continue;
@@ -318,8 +318,8 @@ void AddonMenuManager::BuildMenu( PopupMenu*                            pCurrent
             ++nElements;
 
             // Store values from configuration to the New and Wizard menu entries to enable
-            // sfx2 based code to support high contrast mode correctly!
-            sal_uIntPtr nAttributePtr = MenuAttributes::CreateAttribute(aTarget, aImageId);
+            // sfx2 based code to support high contrast mode
+            sal_uIntPtr nAttributePtr = MenuAttributes::CreateAttribute( aRecipient, aImageId );
             pCurrentMenu->SetUserValue(nId, nAttributePtr, MenuAttributes::ReleaseAttribute);
             pCurrentMenu->SetItemCommand( nId, aURL );
 
@@ -333,7 +333,7 @@ void AddonMenuManager::BuildMenu( PopupMenu*                            pCurrent
 void AddonMenuManager::GetMenuEntry( const Sequence< PropertyValue >& rAddonMenuEntry,
                                      OUString& rTitle,
                                      OUString& rURL,
-                                     OUString& rTarget,
+                                     OUString& rRecipient,
                                      OUString& rImageId,
                                      OUString& rContext,
                                      Sequence< Sequence< PropertyValue > >& rAddonSubMenu )
@@ -348,8 +348,14 @@ void AddonMenuManager::GetMenuEntry( const Sequence< PropertyValue >& rAddonMenu
             rAddonMenuEntry[i].Value >>= rURL;
         else if ( aMenuEntryPropName == ADDONSMENUITEM_STRING_TITLE )
             rAddonMenuEntry[i].Value >>= rTitle;
-        else if ( aMenuEntryPropName == ADDONSMENUITEM_STRING_TARGET )
-            rAddonMenuEntry[i].Value >>= rTarget;
+        else if ( aMenuEntryPropName == ADDONSMENUITEM_STRING_RECIPIENT )
+            rAddonMenuEntry[i].Value >>= rRecipient;
+        else if ( aMenuEntryPropName == "Target" )
+        {
+            SAL_WARN( "framework", "\"Target\" into \"Recipient\" in AddonMenuManager" );
+            rAddonMenuEntry[i].Value >>= rRecipient;
+            ///rAddonMenuEntry[i].Name = OUString::createFromAscii( ADDONSMENUITEM_STRING_RECIPIENT );
+        }
         else if ( aMenuEntryPropName == ADDONSMENUITEM_STRING_IMAGEIDENTIFIER )
             rAddonMenuEntry[i].Value >>= rImageId;
         else if ( aMenuEntryPropName == ADDONSMENUITEM_STRING_SUBMENU )
